Create Refund

This operation is used to create a Refund.
For payment refunds, Payment Id is required while payment method is not required.
For independent refunds, no payment Id is required, however payment method is required.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Matching Refund

string
required
length between 30 and 30
^[A-Za-z]{2}\d{2}[A-Za-z0-9]{26}$

Unique Identification for the Payment

multipleCompletion
object | null

Multiple Completion object containing amount, processedAt time, and finalCompletion flag

string
required
length between 1 and 36

A Unique Identifier that is required for handling idempotent requests.

Note: Moneris encourages the use of UUID Version 4 in APIs as an idempotency key."

string | null

Submits a unique value to identify a transaction that is logged by Moneris Solutions.

refundAmount
object
required

Refund amount for the transaction.
Note: The value must be in cents. Therefore $10.59 must be sent as 1059

multiCurrencyPricing
object | null

Multi-Currency Pricing (MCP) Object

amountDetails
object | null

Contains information pertaining to the surcharge amount of a Payment.

string | null
^[A-Za-z]{2}\d{2}[A-Za-z0-9]{26}$

Unique Customer Identifier.

string | null

Unique Identification for the Customer. This can be an identifier generated from a merchant-defined identifier.

customData
object | null

Merchant can send custom meta data with the transaction in this object. Moneris will echo these values back in response.

string | null

Merchant defined description sent on a per-transaction basis that will appear on the credit card statement.

Dependent on the card Issuer, the statement will typically show the dynamic descriptor appended to the merchant's existing business name separated by the '/' character.

Note: The combined length of the merchant's business name, forward slash '/' character, and the dynamic descriptor may not exceed 22 characters.

string | null

Internet Protocol version 4 (IPv4).

string | null

Internet Protocol version 6 (IPv6).

string
enum
Defaults to SSL_MERCHANT

The ecommerce indicator (ECI) specifies the level of security that was used to obtain the cardholder's payment data.
It is sent by the merchant and returned by the issuer.
When returned in the response, it can be different from the value sent in the request in case transaction was downgraded by the issuer.

Allowed:
string | null

Reason for the refund.

Headers
string
required
Defaults to 2025-08-14

The endpoint's API Version.

Must be provided through the headers section.

string

Correlates a series of requests within the same flow.

Note: This ID is generated by Moneris with every request or response, if it doesn't exist.
Merchants are to echo back the value with every request that is part of the call flow."

string
required
length between 13 and 13

Thirteen character identification code.

Note: This code is provided by Moneris and is required to identify the Merchant executing the transaction."

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Missing 1 required scope
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json
*/*